﻿using System;
using System.Collections.Generic;

namespace COWS.Web.ViewModels
{
    public class FsaOrderViewModel
    {
        public int OrdrId { get; set; }
        public byte OrdrCsgLvlId { get; set; }
        public byte OrdrActnId { get; set; }
        public string Ftn { get; set; }
        public string OrdrTypeCd { get; set; }
        public string OrdrSubTypeCd { get; set; }
        public string ProdTypeCd { get; set; }
        public string PrntFtn { get; set; }
        public string ReltdFtn { get; set; }
        public string ScaNbr { get; set; }
        public string TspCd { get; set; }
        public string CpwType { get; set; }
        public DateTime? CustCmmtDt { get; set; }
        public DateTime? CustWantDt { get; set; }
        public DateTime? CustOrdrSbmtDt { get; set; }
        public DateTime? CustSignedDt { get; set; }
        public DateTime? OrdrSbmtDt { get; set; }
        public string CustPrmsOcpyCd { get; set; }
        public string CustAcptErlySrvcCd { get; set; }
        public string MultCustOrdrCd { get; set; }
        public string GvrmntTypeId { get; set; }
        public string InstlEsclCd { get; set; }
        public string InstlDsgnDocNbr { get; set; }
        public string InstlVndrCd { get; set; }
        public string InstlSoluSrvcDes { get; set; }
        public string InstlNwTypeCd { get; set; }
        public string InstlTrnsprtTypeCd { get; set; }
        public byte? InstlSrvcTierCd { get; set; }
        public string CpeCpeOrdrTypeCd { get; set; }
        public string CpeEqptOnlyCd { get; set; }
        public string CpeAccsPrvdrCd { get; set; }
        public string CpeEccktId { get; set; }
        public string CpeMscpCd { get; set; }
        public string CpeDlvryDutyId { get; set; }
        public string CpeDlvryDutyAmt { get; set; }
        public string CpeShipChgAmt { get; set; }
        public string TsupTelcoDemarcBldgNme { get; set; }
        public string TsupTelcoDemarcFlrId { get; set; }
        public string TsupTelcoDemarcRmNbr { get; set; }
        public string TsupNearestCrossStreetNme { get; set; }
        public string TsupPrsQotNbr { get; set; }
        public string TsupGcsNbr { get; set; }
        public string TsupRfqNbr { get; set; }
        public string TtrptAccsTypeCd { get; set; }
        public string TtrptAccsPrvdrCd { get; set; }
        public string TtrptAccsArngtCd { get; set; }
        public string TtrptAccsCntrcTermCd { get; set; }
        public string TtrptSpdOfSrvcBdwdDes { get; set; }
        public string TtrptLinkPrcolCd { get; set; }
        public string TtrptEncapCd { get; set; }
        public string TtrptRoutgTypeCd { get; set; }
        public string TtrptMplsVpnOvrSplkCd { get; set; }
        public string TtrptSrvcTypeId { get; set; }
        public string TtrptFrmngDes { get; set; }
        public string TtrptNcdeDes { get; set; }
        public string TtrptCsuDsuPrvddByVndrCd { get; set; }
        public string TtrptJackNrfcTypeCd { get; set; }
        public string TtrptStratumLvlCd { get; set; }
        public string TtrptClockSrcCd { get; set; }
        public string TtrptIsOchronousCd { get; set; }
        public string TtrptPrlelPrcsTypeCd { get; set; }
        public string TtrptPrlelPrcsCktId { get; set; }
        public string TtrptReltdFctyReuseCd { get; set; }
        public string TtrptReltdFctyCktId { get; set; }
        public short? TtrptTmeSoltCnt { get; set; }
        public short? TtrptStrtTmeSlotNbr { get; set; }
        public string TtrptNwAdr { get; set; }
        public string TtrptShrdTnantCd { get; set; }
        public string TtrptAltAccsCd { get; set; }
        public string TtrptAltAccsPrvdrCd { get; set; }
        public string TtrptFbrHandOffCd { get; set; }
        public string TtrptMngdDataSrvcCd { get; set; }
        public string TtrptOssCd { get; set; }
        public string TtrptMplsBackhaulCd { get; set; }
        public string TportIpVerTypeCd { get; set; }
        public string TportIpv4AdrPrvdrCd { get; set; }
        public string TportIpv4AdrQty { get; set; }
        public string TportIpv6AdrPrvdrCd { get; set; }
        public string TportIpv6AdrQty { get; set; }
        public string TportUserTypeId { get; set; }
        public string TportMultiMegCd { get; set; }
        public short? TportVlanQty { get; set; }
        public string TportEthrntNrfcIndcr { get; set; }
        public string TportScrmbTxt { get; set; }
        public string TportPortTypeId { get; set; }
        public string TportCnctrTypeId { get; set; }
        public string TportCustRoutrTagTxt { get; set; }
        public string TportCustRoutrAutoNegotCd { get; set; }
        public string TportCustPrvddIpAdrIndcr { get; set; }
        public string TportCustIpAdr { get; set; }
        public string TportXstIpCnctnCd { get; set; }
        public string TportCurrInetPrvdrCd { get; set; }
        public string TportBrstblPriceDiscCd { get; set; }
        public string TportBrstblUsageTypeCd { get; set; }
        public string DiscReasCd { get; set; }
        public string DiscCnclBefStrtReasCd { get; set; }
        public string DiscCnclBefStrtReasDetlTxt { get; set; }
        public DateTime CreatDt { get; set; }
        public string FsaExpTypeCd { get; set; }
        public string CpePhnNbr { get; set; }
        public string CpePhnNbrTypeCd { get; set; }
        public string IntlPlSrvcTypeCd { get; set; }
        public string IntlPlCktTypeCd { get; set; }
        public string CharsId { get; set; }
        public string SotsId { get; set; }
        public string CxrAccsCd { get; set; }
        public string IntlPlPlusIpCd { get; set; }
        public string IntlPlCatId { get; set; }
        public string OssOptCd { get; set; }
        public int? MultOrdrIndexNbr { get; set; }
        public int? MultOrdrTotCnt { get; set; }
        public string VndrVpnCd { get; set; }
        public string OrdrChngDes { get; set; }
        public string CxrSrvcId { get; set; }
        public string CxrCktId { get; set; }
        public int? FsaOrgnlInstlOrdrId { get; set; }
        public string OrangeOffrCd { get; set; }
        public string CktId { get; set; }
        public string VndoCntrcTermId { get; set; }
        public string AddlIpAdrCd { get; set; }
        public string DomnNme { get; set; }
        public string NrfcPrcolCd { get; set; }
        public string CustFrwlCd { get; set; }
        public string Ipv4SubnetMaskAdr { get; set; }
        public string SpaAccsIndcrDes { get; set; }
        public string NwUserAdr { get; set; }
        public string PortRtTypeCd { get; set; }
        public string TtrptAccsTypeDes { get; set; }
        public DateTime? PreSbmtCreatDt { get; set; }
        public string TportPplvlsCd { get; set; }
        public string CpeRecOnlyCd { get; set; }
        public string TtrptAccsTermDes { get; set; }
        public DateTime? TtrptQotXpirnDt { get; set; }
        public string TportSpclInstrtnTxt { get; set; }
        public string TportDiaClassOfSrvcTxt { get; set; }
        public string TportDiaNocToNocTxt { get; set; }
        public string TportDualStkAdrPrvdrTxt { get; set; }
        public string TportLinkMgtPrcolTxt { get; set; }
        public string TportProjDes { get; set; }
        public string Ddr { get; set; }
        public string Ddu { get; set; }
        public string TportVndrRawMrcInCurAmt { get; set; }
        public string TportVndrRawMrcQotCurAmt { get; set; }
        public string TportVndrRawNrcQotCurAmt { get; set; }
        public string TportCnvrsnRtQty { get; set; }
        public string TportMarkupPctQty { get; set; }
        public string TportTaxPctQty { get; set; }
        public string TportBearerChgAmt { get; set; }
        public string TportAddlMrcAmt { get; set; }
        public string TportCalcRtMrcUsdAmt { get; set; }
        public string TportCalcRtNrcUsdAmt { get; set; }
        public string TportCurNme { get; set; }
        public string TtrptAccsBdwdType { get; set; }
        public string PreQualNbr { get; set; }
        public string TportVndrQuoteId { get; set; }
        public string TportPrequalSiteId { get; set; }
        public string TportEthAccsTypeCd { get; set; }
        public DateTime? TportPreqLineItemIdXpirnDt { get; set; }
        public string TportPrequalLineItemId { get; set; }
        public string TportDvstyTypeNme { get; set; }
        public string TportCalcRtNrcInCurAmt { get; set; }
        public string TportCalcRtMrcInCurAmt { get; set; }
        public string CpeTstTnNbr { get; set; }
        public string SiteId { get; set; }
        public string CpeVndr { get; set; }
        public string PlNbr { get; set; }
        public string Nua { get; set; }
        public string Ckt { get; set; }
        //public ICollection<SipTrnkGrp> SipTrnkGrp { get; set; }

        // Related fields
        public string OrdrStusDes { get; set; }
        public string CustNme { get; set; }
        public string OrdrTypeDes { get; set; }
        public string OrdrSubTypeDes { get; set; }
        public short? Region { get; set; }
        public string PortSpeed { get; set; }
        public string AccessMegabyteValue { get; set; }
        public int? AccessCityName { get; set; }
        public string ProdTypeDes { get; set; }
        public string OrdrActnDes { get; set; }
        public short? OrdrCatId { get; set; }
        public string TportVndrRawMrcAmt { get; set; }
        public string TportVndrRawNrcAmt { get; set; }
        public string VndrTerm { get; set; }
        public string TportVndrRvsdQotCur { get; set; }
        public bool? NrmUpdate { get; set; }
        public ICollection<FsaOrderCpeLineItemViewModel> FsaOrdrCpeLineItem { get; set; }

    }
}